> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Material properties

> Updates the material properties for a specific building project. This endpoint accepts an array of material property objects, allowing bulk updates to multiple materials in a single request.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml put /Mapping/buildingproject/{id}/materialsproperties
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Mapping/buildingproject/{id}/materialsproperties:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
        example: 90e34756-b62f-4828-a477-fe5cecef2aeb
    put:
      tags:
        - Project
        - Mapping
      summary: Update Material properties
      description: >-
        Updates the material properties for a specific building project. This
        endpoint accepts an array of material property objects, allowing bulk
        updates to multiple materials in a single request.
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                type: object
                properties:
                  materialId:
                    type: string
                  lifeTime:
                    type: string
                  lifetimeOffset:
                    type: string
                  declaredUnitRequest:
                    type: object
                    properties:
                      declaredUnit:
                        type: integer
                      preferred:
                        type: boolean
                      value:
                        type: string
                  description:
                    type: string
                  includeMapping:
                    type: boolean
                  materialIdentifier:
                    type: string
                  typeIdentifier:
                    type: string
                  category:
                    type: string
            example:
              - materialId: cb14b0e7-863b-4357-a46c-ce8cc4d09420
                lifeTime: '{{$randomInt}}'
                lifetimeOffset: '{{$randomInt}}'
                declaredUnitRequest:
                  declaredUnit: 4
                  preferred: true
                  value: '{{$randomInt}}'
                description: '{{$randomCatchPhrase}}'
                includeMapping: true
                materialIdentifier: '{{$randomFirstName}}'
                typeIdentifier: '{{$randomLastName}}'
                category: '{{$randomAdjective}}'
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````